import { Icons } from "@/components/icons"
import dayjs from "dayjs"

export const UserJoinDate = ({
    date,
    showIcon = true,
}: {
    date: Date | undefined
    showIcon?: boolean
}) => {
    return (
        <div className="flex items-center">
            {showIcon && (<Icons.calendar className="mr-1" />)}
            <div>
                Joined {dayjs(date).format("MMMM YYYY")}
            </div>
        </div>
    )
}