import { useMutation, useQueryClient } from "@tanstack/react-query"

import { updateProfile } from "../api/update-profile"
import { IProfile } from "../types"

export const useUpdateProfile = () => {
    const queryClient = useQueryClient()

    return useMutation(
        ({
            profile,
            userId,
        }: {
            profile: IProfile
            userId: string
        }) => {
            return updateProfile({ profile, userId })
        },

        {
            onSuccess: () => {
                console.log("success")
            },

            onError: (error) => {
                console.log(error)
            },

            onSettled: ({ userId }) => {
                queryClient.invalidateQueries(["users", userId])
            },
        },
    )
}